Issue 1823 darcs-2.4.0 has issues with mmap and hashed-storage>0.4.7

Title darcs-2.4.0 has issues with mmap and hashed-storage>0.4.7
Priority bug Status resolved
Milestone 2.4.x Resolved in
Superseder Nosy List darcs-devel, dmitry.kurochkin, eivuokko, ganesh, gracjan, jaredj, kirby, kowey, wglozer
Assigned To
Topics Hashed, Windows

Created on 2010-04-20.05:14:13 by gracjan, last changed 2010-06-15.21:31:33 by admin.

msg10768 (view) Author: gracjan Date: 2010-04-20.05:14:12
Windows Vista 32bit

c:\Sources\darcs-2.4>cabal install -w ghc-6.10.4.exe -f-curl 

c:\Sources\darcs whatsnew
No changes!

c:\Sources\darcs record
No changes!

[edit file now]

c:\Sources\darcs whatsnew
hunk ./src/Misc.hs 96

c:\Sources\darcs record
hunk ./src/Misc.hs 96
Shall I record this change? (1/1)  [ynWesfvplxdaqjk], or ? for help: y
What is the patch name? F
Do you want to add a long comment? [yn]n
Finished recording patch 'F'

c:\Sources\darcs whatsnew
darcs: mmap of '_darcs/index' failed: does not exist (No such file or


c:\Sources\darcs-2.4>cabal install -w ghc-6.10.4.exe -f-curl
--constraint="hashed-storage<=0.4.7" --constraint="mmap==0.4.*"

This one makes darcs work for me.
msg10771 (view) Author: ganesh Date: 2010-04-20.05:39:56
I spoke to Gracjan about this on IRC.

He was using the official 2.4.1 binary from 
http://wiki.darcs.net/Binaries - and when I downloaded that and tried it 
myself on WinXP 32-bit, I got the same problem with a trivial test (make 
repo, add file, darcs add, darcs record)
msg10778 (view) Author: kirby Date: 2010-04-20.14:00:49
Argh, this is not so easy: if you revert to that version of
hashed-storage, darcs won't work on network shares...
msg10837 (view) Author: kowey Date: 2010-04-26.19:44:47
If I understand correctly, Petr's hashed-storage (0.4.12) should fix this.
We have a patch221 in orbit.  

Before we release darcs 2.4 we should also confirm that darcs still
works fine on network shares
msg11032 (view) Author: kowey Date: 2010-05-10.07:44:45
Fixed in darcs 2.4.3
Date User Action Args
2010-04-20 05:14:13gracjancreate
2010-04-20 05:39:56ganeshsetnosy: + ganesh
messages: + msg10771
2010-04-20 14:00:50kirbysetnosy: + kirby
messages: + msg10778
2010-04-25 17:39:05koweysettopic: + Windows, Hashed
nosy: + wglozer, eivuokko, jaredj
2010-04-26 19:44:49koweysetpriority: bug
status: unknown -> has-patch
topic: + Target-2.4
messages: + msg10837
nosy: + kowey
2010-05-10 07:44:46koweysetstatus: has-patch -> resolved
messages: + msg11032
2010-06-15 21:31:31adminsetmilestone: 2.4.x
2010-06-15 21:31:33adminsettopic: - Target-2.4